Skip to main content
`Ctrl`+`K`

# BVRestoreArrayRead

Restore the `BV` object after `BVGetArrayRead()` has been called.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVRestoreArrayRead(BV bv,const PetscScalar **a)

Not Collective

## Input Parameters

- bv - the basis vectors context

- a - location of pointer to array obtained from `BVGetArrayRead()`

## See Also

BV: Basis Vectors, `BVGetArrayRead()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

## Implementations

BVRestoreArrayRead_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVRestoreArrayRead_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVRestoreArrayRead_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages